PSPDFKit 2 Migration Guide

This guide walks you through how to update from PSPDFKit 1.0–1.2 to PSPDFKit 2.

PSPDFKit 2 for macOS fully supports macOS 10.12 and 10.13. Learn more in our Version Support guide. Xcode 9 is required, as support for Xcode 8 has been dropped.

PSPDFKit for macOS shares the codebase with iOS, so be sure to study the iOS Migration Guide for the full list of every breaking API change, along with its suggested migration strategy.